#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <math.h>

#define SIZE	1024
double table[SIZE];

int main() {
    int		fd = open("test.raw", O_WRONLY | O_CREAT, 0644);
    double 	x, y, min = 100000.0, max = -100000.0;
    int		out;
    int		i;

    for (i = 0; i < SIZE; i++) {
	x = (double) i / SIZE;
	y = sin(x * 3.1415 * 2);

	table[i] = y;
    }

    for (i = 0; i < SIZE; i++) {
	out = table[i] * (1<<15);
	
	printf("%i, ", out);

	if ((i+1) % 10 == 0) printf("\n   ");

	// write(fd, &out, sizeof(out));
    }

    return 0;
}